# Storytelling Workflow Configuration
name: "storytelling"
description: "Craft compelling narratives using proven story frameworks and techniques. This workflow guides users through structured narrative development, applying appropriate story frameworks to create emotionally resonant and engaging stories for any purpose."
author: "BMad"

# Critical variables load from config_source
config_source: "{project-root}/_bmad/cis/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
date: system-generated

# Context can be provided via data attribute when invoking
# Example: data="{path}/brand-info.md" provides brand context

# Module path and component files
installed_path: "{project-root}/_bmad/cis/workflows/storytelling"
template: "{installed_path}/template.md"
instructions: "{installed_path}/instructions.md"

# Required Data Files
story_frameworks: "{installed_path}/story-types.csv"

# Output configuration
default_output_file: "{output_folder}/story-{{date}}.md"

standalone: true

web_bundle:
  name: "storytelling"
  description: "Craft compelling narratives using proven story frameworks and techniques. This workflow guides users through structured narrative development, applying appropriate story frameworks to create emotionally resonant and engaging stories for any purpose."
  author: "BMad"
  instructions: "_bmad/cis/workflows/storytelling/instructions.md"
  template: "_bmad/cis/workflows/storytelling/template.md"
  web_bundle_files:
    - "_bmad/cis/workflows/storytelling/instructions.md"
    - "_bmad/cis/workflows/storytelling/template.md"
    - "_bmad/cis/workflows/storytelling/story-types.csv"
